# Automatized Trip Reports Writing

This is a collection of scripts to automatize writing trip reports. It will automatically add timestamps and elapsed time.

## Generate Report

First, run: `python3 report.py`. You will be asked for metadata, such as "Chemical", "Tester", "Dosage", etc. Then you will be asked to enter a note. After you submit the first note, it starts a timer for "elapsed time". Your first note can be, for example: "I have sniffed 50mg of ketamine". When you're done, write "save".

Example of using the script:

```
Enter the name of the report: Ketamine 
Chemical: Ketamine
Tester: tr
Dosage (example: 5mg): 50mg
Tolerance: N
Cross-Tolerance: N
Notes (example: Took 50mg Ketamine): sniffed 50 mg of ketamine
Write 'save' to stop: (press enter here to enter the next note)
Notes (example: Took 50mg Ketamine): some other note..
Write 'save' to stop: save 
Trip report saved to Ketamine.json.
```

## Generate HTML table from your JSON report.

Just run `gen_static.py`, it's fully interactive.

```
$ python3 gen_static.py 
Enter path to JSON report: Ketamine.json
Enter path for destination HTML file: ketamine.html
HTML report saved to ketamine.html.
```

## Note: gen_raw.py is currently broken.